This is one that can’t really do any harm. In the cases where it works (most of them that I’ve tried), it could help you to get your favorite extension installed in Firefox 2, even though they haven’t been upgraded. The fact is, most of the old extensions work just fine — all you have to do is tell them it’s OK. Here’s how you do it.
1. Download the .xpi file by right-clicking the link and selecting “Save link as…”
2. Change the file name by adding the extension “.zip” (without the quotes, of course). It should read “—”
3. Right-click the .zip file and find “install.rdf”
4. Drag it to the desktop.
5. Open “install.rdf” in Notepad by right-clicking it and selecting “Open.” You may have to tell it which application to use.
6. Change the “maxversion” to read 2.0 instead of 1.x.
7. Save the file.
8. Drag “install.rdf” to the .zip file and release it.
9. Click “Yes.”
10. Delete the unzipped .xpi file, otherwise you won’t be able to…
11. Rename the .zip file by removing the .zip extension. It will change back to .xpi.
12. Drag the resulting .xpi file to your Firefox icon and drop it.

From the Lockergnome newsletter: